gi-glib-2.0.30: GLib bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GLib.Structs.TestCase

Contents

- Exported types
- Methods
  - free

Description

An opaque structure representing a test case.

Synopsis

- newtype TestCase = TestCase (ManagedPtr TestCase)
- testCaseFree :: (HasCallStack, MonadIO m) => TestCase -> m ()

# Exported types

newtype TestCase Source #

Memory-managed wrapper type.

Constructors

TestCase (ManagedPtr TestCase) |

#### Instances

Instances details

Eq TestCase Source # |
Instance details Defined in GI.GLib.Structs.TestCase Methods (==) :: TestCase -> TestCase -> Bool Source # (/=) :: TestCase -> TestCase -> Bool Source #
BoxedPtr TestCase Source # |
Instance details Defined in GI.GLib.Structs.TestCase Methods boxedPtrCopy :: TestCase -> IO TestCase Source # boxedPtrFree :: TestCase -> IO () Source #
ManagedPtrNewtype TestCase Source # |
Instance details Defined in GI.GLib.Structs.TestCase Methods toManagedPtr :: TestCase -> ManagedPtr TestCase Source #

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

free.

#### Getters

None.

#### Setters

None.

## free

testCaseFree Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> TestCase | `testCase`: a test case
-> m () |

Free the `testCase`.

Since: 2.70